Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.config
Interface GlobalRepositoryConfigInformation<T extends SingleRepositoryConfigInformation<?>>

All Superinterfaces:
  CommonRepositoryConfigInformation

All Known Implementing Classes:
  RepositoryConfig

    public interface GlobalRepositoryConfigInformation<T extends SingleRepositoryConfigInformation<?>>

extends CommonRepositoryConfigInformation

Author:
  Oliver Gierke

Method Summary
`boolean` | `configureManually()` Returns whether to consider manual configuration.
`T` | `getAutoconfigRepositoryInformation(String interfaceName)` Returns the
`Class<?>` | `getRepositoryBaseInterface()` Returns the base interface to use
`Iterable<T>` | `getSingleRepositoryConfigInformations()` Returns all `SingleRepositoryConfigInformation` instances used for manual configuration.

Methods inherited from interface org.springframework.data.repository.config.CommonRepositoryConfigInformation
`getBasePackage, getNamedQueriesLocation, getQueryLookupStrategyKey, getRepositoryFactoryBeanClassName, getRepositoryImplementationSuffix, getSource, getTransactionManagerRef`

Method Detail

### getAutoconfigRepositoryInformation

    T getAutoconfigRepositoryInformation(String interfaceName)

  Returns the

  Parameters:
    `interfaceName` -
  Returns:

### getSingleRepositoryConfigInformations

    Iterable<T> getSingleRepositoryConfigInformations()

  Returns all `SingleRepositoryConfigInformation` instances used for manual configuration.

  Returns:

### configureManually

    boolean configureManually()

  Returns whether to consider manual configuration. If this returns true, clients should use `getSingleRepositoryConfigInformations()` to lookup configuration information for individual repository beans.

  Returns:

### getRepositoryBaseInterface

    Class<?> getRepositoryBaseInterface()

  Returns the base interface to use

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.